# General Translation Platform: Crea un branch
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/project/create-branch.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Crea un nuovo branch o rinomina e conferma il branch predefinito. Riferimento API per Crea un branch.

{/* Questo file è stato generato da Fumadocs. Non modificare questo file direttamente. Eventuali modifiche devono essere apportate eseguendo nuovamente il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/branches/create`

**Operation ID:** `createBranch`

**Tags:** `Project`

**Summary:** Create a branch

Create a new branch, or rename and confirm the default branch.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `branchName` (string, required)
- `defaultBranch` (boolean) Default: `false`.

### Responses

**200**: Created or existing branch
Response body (`application/json`, object):
- `branch` (object, required)
  - `id` (string, required)
  - `name` (string, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**409**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
